<ion-header>
  <ion-toolbar transparent>
    <ion-title>
      UTM SMART - Student
    </ion-title>

  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <h3>{{ name }}</h3>
  <ion-button expand="block" (click)="showModal()">Request Leave</ion-button>

  <br><br>
  <ion-list>
    <ion-item>
      <ion-label>Requested Leave</ion-label>
    </ion-item>
    <ion-item-sliding *ngFor="let request of requests">
      <ion-item>
        <ion-label class="ion-text-wrap">
          {{request.RequestOn | date: 'dd-MM-y' }}{{ ' - '+request.CurrentCourse.Name}}<br>
          <p>{{ request.Reason }}</p>
          <p>Requested on {{request.CreatedOn | date: 'dd-MM-y'}}</p>
        </ion-label>
      </ion-item>
      <ion-item-options>
        <ion-item-option color="danger" (click)="delete(request)">Delete</ion-item-option>
      </ion-item-options>

    </ion-item-sliding>
  </ion-list>
</ion-content>
